#!/usr/bin/bash

debmirror --method http --config-file=backports.debmirror.conf debian-backports \
--ignore-release-gpg --nosource --no-check-gpg \
--root=debian -d wheezy-backports \
--exclude-deb-section='(games|debug|news|zope|electronics|comm|gnustep|cli-mono|haskell|ocaml|hamradio|gnu-r|lisp|database|debian-installer|interpreters|java|kernel|otherosfs|misc|mail|science|sound|x11|oldlibs|graphics|doc)' \
	  --exclude='(/i18n/Translation-.*\.bz2)' \
	  --exclude='(kfreebsd-.*)' \
	  --exclude='(.*-dbg.*)' \
	  --exclude='(/ganeti.*)' \
	  --exclude='(gnumach.*)' \
          --exclude='(/wims.*)' \
          --exclude='(/webgen.*)' \
          --exclude='(/libtao.*)' \
          --exclude='(/tao.*)' \
          --exclude='(/activiz.*)' \
          --exclude='(/agda.*)' \
          --exclude='(/debian-edu.*)' \
          --exclude='(/dff.*)' \
          --exclude='(/elastix.*)' \
          --exclude='(/fonts-ipamj.*)' \
          --exclude='(/fonts-baekmuk.*)' \
          --exclude='(/fonts-hanazono.*)' \
          --exclude='(/fonts-horai.*)' \
          --exclude='(/fonts-ipa.*)' \
          --exclude='(/fonts-kiloji.*)' \
          --exclude='(/fonts-kou.*)' \
          --exclude='(/fonts-nanum.*)' \
          --exclude='(/fonts-nanum.*)' \
          --exclude='(/fonts-takao.*)' \
          --exclude='(/fonts-yozvox.*)' \
          --exclude='(/fonts-mikachan.*)' \
          --exclude='(/fp-.*)' \
          --exclude='(/fpc.*)' \
          --exclude='(/gnucash.*)' \
          --exclude='(/gnumed.*)' \
          --exclude='(/grass.*)' \
          --exclude='(/iceape.*)' \
          --exclude='(/instalation-guide-.*)' \
          --include='(/instalation-guide-i386)' \
          --exclude='(/ooohg.*)' \
          --exclude='(/libosl-doc.*)' \
          --exclude='(/libreoffice-help.*)' \
          --exclude='(/libreoffice-l10n-.*)' \
          --include='(/libreoffice-l10n-es.*)' \
          --exclude='(/ns2.*)' \
          --exclude='(/open-axiom.*)' \
          --exclude='(/openclipart.*)' \
          --exclude='(/paraview.*)' \
          --exclude='(/sofa-.*)' \
          --exclude='(/tagainijisho-dic-de.*)' \
          --exclude='(/texmacs.*)' \
          --exclude='(/lilypond.*)' \
          --exclude='(/vtk.*)' \
          --exclude='(/elmer.*)' \
          --exclude='(/felix.*)' \
          --exclude='(/debian-installer-6.0-)' \
          --exclude='(/evolution.*)'\
          --exclude='(/gimp-help-.*)'\
          --include='(/gimp-help-common.*)'\
          --include='(/gimp-help-en.*)'\
          --include='(/gimp-help-es.*)'\
          --exclude='(/mbrola-de.*)'\
          --exclude='(/mgltools.*)'\
          --exclude='(/mecab.*)'\
          --exclude='(/context.*)'\
          --exclude='(/cuneiform.*)'\
          --exclude='(/celestia.*)'\
          --exclude='(/cclib.*)'\
          --exclude='(/nvidia-visual.*)'\
          --exclude='(/nvidia-cuda-toolkit.*)'\
          --exclude='(/nvidia-cuda-doc.*)'\
          --exclude='(/scribus-doc.*)'\
          --exclude='(/selfhtml.*)'\
          --exclude='(/etoys.*)'\
          --exclude='(/gmap.*)'\
          --exclude='(/icc-profiles.*)'\
          --exclude='(/picon.*)'\
          --exclude='(/fsl.*)'\
          --include='(/fslint.*)'\
          --exclude='(/cain.*)'\
          --exclude='(/ceph.*)'\
          --exclude='(/libceph.*)'\
          --exclude='(/cmuc.*)'\
          --exclude='(/cm-super.*)'\
          --exclude='(/jmol.*)'\
          --exclude='(/libjmol.*)'\
          --exclude='(/mypaint.*)'\
          --exclude='(/mysql-source.*)'\
          --exclude='(/makehuman.*)'\
          --exclude='(/mayavi2.*)'\
          --exclude='(/ovito.*)'\
          --exclude='(/opencascade.*)'\
          --exclude='(/libopencascade.*)'\
          --exclude='(/oce-draw.*)'\
          --exclude='(/liboce.*)'\
          --exclude='(/sunpinyin.*)'\
          --exclude='(/openscenegraph.*)'\
          --exclude='(/libopenscenegraph.*)'\
          --exclude='(/opendnssec.*)'\
          --exclude='(/openturns.*)'\
          --exclude='(/libopenturns.*)'\
          --exclude='(/volview.*)'\
          --exclude='(/libbvx.*)'\
          --exclude='(/libvibrant.*)'\
          --exclude='(/ncbi.*)'\
          --exclude='(/libncbi.*)'\
          --exclude='(/nwchem.*)'\
          --exclude='(/libwine-gecko.*)'\
          --exclude='(/whitedune.*)'\
          --exclude='(/xemacs21.*)'\
          --exclude='(/acl2.*)'\
          --exclude='(/axiom.*)'\
          --exclude='(/open-axiom.*)'\
          --exclude='(/scilab.*)'\
          --exclude='(/swe-.*)'\
          --exclude='(/libswe.*)'\
          --exclude='(/sitplus.*)'\
          --exclude='(/racket.*)'\
          --exclude='(/radiance.*)'\
          --exclude='(/regina-normal.*)'\
          --exclude='(/quantlib.*)'\
          --exclude='(/ruby-feedtools-doc.*)'\
          --exclude='(/ruby-activeldap-doc.*)'\
          --exclude='(/kde-l10n-.*)'\
          --include='(/kde-l10n-es.*)'\
          --exclude='(/quantum-espresso.*)'\
          --exclude='(/emacs23.*)'\
          --exclude='(/emboss.*)'\
          --exclude='(/jemboss.*)'\
          --exclude='(/lammps.*)'\
          --exclude='(/lazarus.*)'\
          --exclude='(/lcl.*)'\
          --exclude='(/installation-guide.*)'\
          --exclude='(/ibus-table-chinese.*)'\
          --exclude='(/texlive.*)'\
          --exclude='(/tuxpaint.*)'\
          --exclude='(/tesseract.*)'\
          --exclude='(/tagainjisho.*)'\
          --exclude='(/fluid-soundfont.*)'\
          --exclude='(/freepats.*)'\
          --exclude='(/ferret.*)'\
          --exclude='(/festvox.*)'\
          --exclude='(/freecad.*)'\
          --exclude='(/festvox-.*)'\
          --exclude='(/festival.*)'\
          --exclude='(/frama-c.*)'\
          --exclude='(/fonts-cwtex.*)'\
          --exclude='(/freefem.*)'\
          --exclude='(/fonts-unfonts.*)'\
          --exclude='(/biomaj.*)'\
          --exclude='(/doc-linux-.*)'\
          --include='(/doc-linux-html.*)'\
          --include='(/doc-linux-text.*)'\
          --exclude='(/digikam-doc.*)'\
          --exclude='(/dotlrn.*)'\
          --exclude='(/gfxboot.*)'\
          --exclude='(/gcc-4.4-source.*)'\
          --exclude='(/gcc-4.5-source.*)'\
          --exclude='(/gcc-4.6-source.*)'\
          --exclude='(/gmt.*)'\
          --exclude='(/games-thumbnails.*)'\
          --exclude='(/pari-.*)'\
          --exclude='(/libpari.*)'\
          --exclude='(/eglib-source.*)'\
          --exclude='(/expeyes.*)'\
          --exclude='(/k3d.*)'\
          --exclude='(/python3.2-dev.*)'\
          --exclude='(/kmymoney.*)'\
          --exclude='(/pleiades.*)'\
          --exclude='(/kstars-data-extra-tycho2.*)'\
          --exclude='(/gcj.*)'\
          --exclude='(/libgjc.*)'\
          --exclude='(/latex-cjk.*)'\
          --exclude='(/scala.*)'\
          --exclude='(/groovy.*)'\
          --exclude='(/coinor-.*)' \
          --exclude='(/iceweasel-l10n-.*)' \
          --exclude='(/gmsh.*)' \
          --exclude='(/nvidia-.*)' \
          --include='(/iceweasel-l10n-es.*)' \
	  --exclude='(/debian-installer-netboot-images.*)'
